/***************************************************************************/
/* encode and decode radix64                                               */
/*                                                                         */
/*  Copyright (c) 1995 -- Carl M. Ellison                                  */
/*  This code is free for anyone to use, provided this copyright and       */
/*  statement are left attached.                                           */
/***************************************************************************/

#ifndef __COD64_H__
#define __COD64_H__

/***************************************************************************/
/* enc64 -- encode inbuff to outbuff, forcing \n every line_lth chars and  */
/*    indenting continuation lines.                                        */
/*    Caller needs to allocate more outbuff than needed by 4 or 5 bytes.   */
/***************************************************************************/

void enc64( char *outbuff,	/* output buffer */
	    long out_lth,	/* allocated length of outbuff */
	    long *polth,	/* actual outbuff length */
	    unsigned char *inbuff, /* input buffer */
	    long inb_lth,	/* length of inbuff */
	    long line_lth,	/* max line length */
	    long n_space ) ;	/* indentation at start of line */

/***************************************************************************/
/* dec64 -- decode radix64 from 0-terminated inbuff to outbuff.            */
/*   Caller needs to allocate 2 or 3 bytes more than needed in outbuff.    */
/***************************************************************************/

void dec64( unsigned char *outbuff, /* output buffer */
	    long out_lth,	/* allocated length of outbuff */
	    long *polth,	/* actual length of output */
	    char *inbuff ) ;	/* input text buffer */

#endif /* __COD64_H__ */
