/***************************************************************************/
/* errcodes.h								   */
/*									   */
/*  SPKI utility code error codes					   */
/***************************************************************************/

#if !defined(__ERRCODES_H__)
#define __ERRCODES_H__

#define SPKI_ERR_BAD_EXPONENT (-1)
#define SPKI_ERR_BAD_FORMAT (-2)
#define SPKI_ERR_BAD_MODULUS (-3)
#define SPKI_ERR_BAD_PARAM (-4)
#define SPKI_ERR_BAD_PARAM_FMT (-5)
#define SPKI_ERR_NOT_PRV_KEY (-6)
#define SPKI_ERR_NOT_PUB_KEY (-7)
#define SPKI_ERR_NOT_PKCS1 (-8)
#define SPKI_ERR_NO_ALG (-9)
#define SPKI_ERR_NO_COLON (-10)
#define SPKI_ERR_NO_LTH (-11)
#define SPKI_ERR_NO_NAME (-12)
#define SPKI_ERR_NO_PAREN (-13)
#define SPKI_ERR_PARAM_LTH (-14)
#define SPKI_ERR_PARAM_MISSING (-15)
#define SPKI_ERR_PARAM_NAME (-16)
#define SPKI_ERR_SHORT (-17)
#define SPKI_ERR_SHORT_STRING (-18)
#define SPKI_ERR_TOO_LONG (-19)
#define SPKI_ERR_NOT_SIG (-20)
#define SPKI_ERR_NO_HASH_OBJ (-21)
#define SPKI_ERR_NO_PRINCIPAL (-22)
#define SPKI_ERR_NO_SIG (-23)
#define SPKI_ERR_NO_URI (-24)
#define SPKI_ERR_EXTRA_FIELD (-25)
#define SPKI_ERR_NULL_PARAM (-26)
#define SPKI_ERR_BYTE_LTH (-27)
#define SPKI_ERR_LTH_NEGATIVE (-28)
#define SPKI_ERR_NO_MEM (-29)
#define SPKI_ERR_BAD_SEXP (-30)
#define SPKI_ERR_NOT_SEXP (-31)
#define SPKI_ERR_LTH_TOO_BIG (-32)
#define SPKI_ERR_MISSING_BRACKET (-33)
#define SPKI_ERR_SMALL_MODULUS (-34)
#define SPKI_ERR_BAD_LTH_FORMAT (-35)
#define SPKI_ERR_COLON_EXPECTED (-36)
#define SPKI_ERR_DISP_HINT_NOT_CLOSED (-37)
#define SPKI_ERR_DISP_HINT_TOO_LONG (-38)
#define SPKI_ERR_STRING_TOO_LONG (-39)
#define SPKI_ERR_BAD_SEXP_START (-40)
#define SEXP_ERR_NO_MEM (-41)
#define SPKI_ERR_BAD_SEXP_FORMAT (-42)
#define SPKI_ERR_SEXP_NOT_CLOSED (-43)

#define SPKI_ERR_RSA_OUT_LEN (-44) /* RSA op gave wrong output blk length */
#define SPKI_ERR_NOT_HASH_SEXP (-45) /* S-exp isn't a (hash...) */
#define SPKI_ERR_UNKNOWN_HASH (-46) /* unknown hash algorithm */
#define SPKI_ERR_BAD_HASH_SEXP (-47) /* bad format for (hash...) */
#define SPKI_ERR_DIFF_HASH_ALGS (-48) /* hash algorithms differ */
#define SPKI_ERR_DIFF_HASH_LTHS (-49) /* hash value lengths differ */
#define SPKI_ERR_NO_ACL (-50)	/* no ACL was provided for reduction */
				/* without an ACL, there can be no results */
#define SPKI_ERR_ACL_ENTRY_WITH_ISSUER (-51) /* an ACL entry should have */
				/* no issuer field */
#define SPKI_ERR_NO_ISSUER (-52) /* a non-ACL needs an issuer */
#define SPKI_ERR_MIXED_NAME_AND_AUTH (-53) /* credential with both */
				/* issuer name and authorization */
#define SPKI_ERR_UNKNOWN_SUBJ_TYPE (-54) /* not a known type of subject */
#define SPKI_ERR_MALFORMED_ISSUER (-55) /* syntax error in (issuer ..) */
#define SPKI_ERR_MALFORMED_SUBJECT (-56) /* syntax error in (subject ..) */
#define SPKI_ERR_KOFN_SYNTAX (-57) /* bad k-of-n syntax */
#define SPKI_ERR_NON_KEY_ISSUER (-58) /* issuer could not be resolved to */
				/* a public key -- so could not have been */
				/* validated.  Rejected during processing. */
#define SPKI_ERR_MPL_NOT_BEFORE (-59) /* too many not-before dates */
#define SPKI_ERR_MPL_NOT_AFTER (-60) /* too many not-after dates */
#define SPKI_ERR_MPL_ISSUERS (-61) /* too many issuers */
#define SPKI_ERR_MPL_SUBJECTS (-62) /* too many subjects */
#define SPKI_ERR_MPL_PROPAGATE_FLAGS (-63) /* too many propagate fields */
#define SPKI_ERR_MPL_TAGS (-64) /* too many tag fields */
#define SPKI_ERR_NOT_KEY_OR_HASH (-65) /* public key or hash expected */
#define SPKI_ERR_THRESHOLD (-66) /* error processing a threshold block */
#define SPKI_ERR_NAME_SYNTAX (-67) /* bad name syntax -- not a list */
				/* of byte strings */
#define SPKI_ERR_DATE_FAIL (-68) /* Date intersection failed */


#define SPKI_WAITING (-1000)	/* the action you want has been queued */
				/* for later processing (when data is */
				/* available) */

#endif /* __ERRCODES_H__ */
