/***************************************************************************/
/* hashtabs.h								   */
/*									   */
/* Header file defining data structures and calls for the hash tables	   */
/* we use in hashtabs.c.						   */
/***************************************************************************/

#if !defined(__HASH_H__)
#define __HASH_H__

#include "abbrev.h"		/* define UC, etc. */

#define MAXHASHLTH (20)		/* # of bytes in the longest hash used here */


#define HASHTABLTH (256)	/* length of the various hash tables */
				/* to make collisions very unlikely */
				/* for the size cert chain we expect */

#define HASHMASK (0x00FF)	/* mask for XOR with a hash value */

typedef UC HashVal[ MAXHASHLTH ] ; /* define a hash value type */

#endif /* __HASH_H__ */
