/***************************************************************************/
/* MD5.H - header file for MD5C.C					   */
/*									   */
/* Copyright (C) 1991-2, RSA Data Security, Inc. Created 1991. All	   */
/* rights reserved.							   */
/*									   */
/* License to copy and use this software is granted provided that it	   */
/* is identified as the "RSA Data Security, Inc. MD5 Message-Digest	   */
/* Algorithm" in all material mentioning or referencing this software	   */
/* or this function.							   */
/*									   */
/* License is also granted to make and use derivative works provided	   */
/* that such works are identified as "derived from the RSA Data		   */
/* Security, Inc. MD5 Message-Digest Algorithm" in all material		   */
/* mentioning or referencing the derived work.				   */
/*									   */
/* RSA Data Security, Inc. makes no representations concerning either	   */
/* the merchantability of this software or the suitability of this	   */
/* software for any particular purpose. It is provided "as is"		   */
/* without express or implied warranty of any kind.			   */
/*									   */
/* Rivest                                                         [Page 8] */
/* RFC 1321              MD5 Message-Digest Algorithm           April 1992 */
/*									   */
/* These notices must be retained in any copies of any part of this	   */
/* documentation and/or software.					   */
/***************************************************************************/

#ifndef _MD5_H_
#define _MD5_H_

#if !defined( __UINT4__ )
#define __UINT4__
typedef unsigned long int UINT4 ;
#endif

/* MD5 context. */
typedef struct {
  UINT4 state[4];                                   /* state (ABCD) */
  UINT4 count[2];        /* number of bits, modulo 2^64 (lsb first) */
  unsigned char buffer[64];                         /* input buffer */
} MD5_CTX;

void MD5Init(MD5_CTX *);
void MD5Update(MD5_CTX *, unsigned char *, unsigned int);
void MD5Final(unsigned char [16], MD5_CTX *);

#define MD5_LTH (16)		/* # of bytes in an MD5 hash */

#endif /* _MD5_H_ */
