/***************************************************************************/
/* sha.h								   */
/*									   */
/* SHA-1 code header file.						   */
/* Taken from the public domain implementation by Peter C. Gutmann	   */
/* on 2 Sep 1992, modified by Carl Ellison to be SHA-1.			   */
/***************************************************************************/

#ifndef _SHA_H_
#define _SHA_H_

/* Useful defines/typedefs */

typedef unsigned char   BYTE ;
typedef unsigned long   LONG ;

/* The SHA block size and message digest sizes, in bytes */

#define SHA_BLOCKSIZE   (64)
#define SHA_DIGESTSIZE  (20)
#define SHA_LTH SHA_DIGESTSIZE

/* The structure for storing SHA info */

typedef struct {
  LONG digest[ 5 ] ;            /* Message digest */
  LONG countLo, countHi ;       /* 64-bit bit count */
  LONG data[ 16 ] ;             /* SHA data buffer */
  LONG slop ;			/* # of bytes saved in data[] */
} SHA_INFO ;

void shaInit( SHA_INFO *shaInfo ) ;
void shaUpdate( SHA_INFO *shaInfo, BYTE *buffer, int count ) ;
void shaFinal( SHA_INFO *shaInfo, BYTE hash[SHA_DIGESTSIZE] ) ;

#endif /* _SHA_H_ */
