/***************************************************************************/
/* strread.h								   */
/*									   */
/* Define the structure and routines for reading from an in-memory string. */
/***************************************************************************/

#ifndef _STRREAD_H_
#define _STRREAD_H_

#include "abbrev.h"

typedef struct {
  UCP top ;			/* top of the block */
  UCP cur ;			/* current position */
  UCP end ;			/* byte after end of the block */
} Sreader, *pSreader ;

#define STRR_LOOK( x )   *((x)->cur) /* look at current character */
#define STRR_READ( x )   *((x)->cur++) /* take current character */
#define STRR_MORE( x )   (((x)->cur) < ((x)->end)) /* test for EOF */
#define STRR_RESET( x )  { (x)->cur = (x)->top ; }

#endif /* _STRREAD_H_ */
