/***************************************************************************/
/* sutil.h								   */
/*									   */
/* Small S-expression utilities.					   */
/***************************************************************************/

#ifndef _SUTIL_H_
#define _SUTIL_H_

#include "sutil.h"
#include "abbrev.h"
#include "sexp.h"
#include "tuple.h"

/***************************************************************************/
/* pull_typ								   */
/*									   */
/* Pull the .typ field from an Sexp and return it.			   */
/***************************************************************************/

int pull_typ( pSexp s ) ;

/***************************************************************************/
/* pull_resword								   */
/*									   */
/* Pull any reserved word from the S-expression node at s.		   */
/* If s is a sub-expression, pull its reserved word.			   */
/***************************************************************************/

int pull_resword( pSexp s ) ;

/***************************************************************************/
/* pull_hashval								   */
/*									   */
/* Pull the fields from a (hash...) S-expression.			   */
/***************************************************************************/

int pull_hashval( pSexp h, UCP *hvp, UI *hvl, int *alg ) ;

/***************************************************************************/
/* pull_subject_type							   */
/*									   */
/* Pull a subject type out of the subject in a tuple.			   */
/***************************************************************************/

int pull_subject_type( pTuple t ) ;

/***************************************************************************/
/* cmp_hash_1								   */
/*									   */
/* Compare a hash S-expression to hash values in the argument stream.	   */
/***************************************************************************/

int cmp_hash_1( pSexp h, UCP hvp, UI hvl, int alg ) ;

/***************************************************************************/
/* equal_sexp								   */
/*									   */
/* Compare two S-expressions and return 1 if they're equal.		   */
/***************************************************************************/

int equal_sexp( pSexp a, pSexp b ) ;

/***************************************************************************/
/* equal_tuple								   */
/*									   */
/* Compare two tuples and see if they're equal.  If so, return 1.  O'E, 0. */
/***************************************************************************/

int equal_tuple( pTuple a, pTuple b ) ;


#endif /* _SUTIL_H_ */
